---
title: Plugin
slug: Web/API/Plugin
tags:
  - API
  - Add-ons
  - DOM
  - NeedsContent
  - Plug-in
  - Plugins
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code>Plugin</code> interface provides information about a browser <a href="/en-US/docs/Mozilla/Add-ons/Plugins">plugin</a>.</p>

<div class="note">
<p><strong>Note</strong>: Own properties of <code>Plugin</code> objects are no longer enumerable in the latest browser versions.</p>
</div>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("Plugin.description")}} {{readonlyinline}}</dt>
 <dd>A human readable description of the plugin.</dd>
 <dt>{{domxref("Plugin.filename")}} {{readonlyinline}}</dt>
 <dd>The filename of the plugin file.</dd>
 <dt>{{domxref("Plugin.name")}} {{readonlyinline}}</dt>
 <dd>The name of the plugin.</dd>
 <dt>{{domxref("Plugin.version")}} {{readonlyinline}}</dt>
 <dd>The plugin's version number string.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("Plugin.item")}}</dt>
 <dd>Returns the MIME type of a supported content type, given the index number into a list of supported types.</dd>
 <dt>{{domxref("Plugin.namedItem")}}</dt>
 <dd>Returns the MIME type of a supported item.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-plugin','Plugin')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Plugin")}}</p>
</div>
